<template>
  <div>
    <h1 class="mb-5">Register</h1>
    <b-form @submit.prevent="onSubmit">
      <!-- usernames -->
      <b-form-group
        id="input-group-1"
        label="User Name"
        label-for="input-1"
        description="We'll never share your email with anyone else."
      >
        <b-form-input
          id="input-1"
          v-model="form.name"
          type="text"
          placeholder="Enter name"
          required
        ></b-form-input>
      </b-form-group>
      <!-- email -->
      <b-form-group
        id="input-group-1"
        label="Email address:"
        label-for="input-1"
        description="We'll never share your email with anyone else."
      >
        <b-form-input
          id="input-1"
          v-model="form.email"
          type="email"
          placeholder="Enter email"
          required
        ></b-form-input>
      </b-form-group>
      <!-- password -->
      <b-form-group  id="input-group-2" label="Your Password:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.password"
          placeholder="Enter password"
          required
          type="password"
        ></b-form-input>
      </b-form-group>

      <!-- submit -->
      <b-button type="submit" variant="primary">Submit</b-button>
      <nuxt-link to="/login">Login</nuxt-link>
    </b-form>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'
export default {
  data() {
    return {
      form: {
        email: '',
        name: '',
      },
    }
  },
  computed: {
    ...mapState(['loggedIn']),
  },
  methods: {
    ...mapActions(['signIn']),
    onSubmit() {
      let res = this.signIn(this.form.name);
      res.then( checkSuccess => {
        if ( checkSuccess) {
          window.location.href = '/login';
        }
      });
    },
  },
}
</script>
